Next: COUNT, Previous: COS, Up: Intrinsic Procedures [Contents][Index]

### 9.70 `COSH` — Hyperbolic cosine function

Description:

  `COSH(X)` computes the hyperbolic cosine of X.

Standard:

  Fortran 77 and later, for a complex argument Fortran 2008 or later

Class:

  Elemental function

Syntax:

  `X = COSH(X)`

Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:

  The return value has same type and kind as X. If X is complex, the imaginary part of the result is in radians. If X is `REAL`, the return value has a lower bound of one, \cosh (x) \geq 1.

Example:

      program test_cosh
        real(8) :: x = 1.0_8
        x = cosh(x)
      end program test_cosh

Specific names:

  Name | Argument | Return type | Standard
  `COSH(X)` | `REAL(4) X` | `REAL(4)` | Fortran 77 and later
  `DCOSH(X)` | `REAL(8) X` | `REAL(8)` | Fortran 77 and later

See also:

  Inverse function: ACOSH